Bullet Collision Detection & Physics Library: Bullet::btGeneric6DofSpring2ConstraintDoubleData2 Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btGeneric6DofSpring2ConstraintDoubleData2 Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btGeneric6DofSpring2ConstraintDoubleData2:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
btVector3DoubleData | m_linearUpperLimit
btVector3DoubleData | m_linearLowerLimit
btVector3DoubleData | m_linearBounce
btVector3DoubleData | m_linearStopERP
btVector3DoubleData | m_linearStopCFM
btVector3DoubleData | m_linearMotorERP
btVector3DoubleData | m_linearMotorCFM
btVector3DoubleData | m_linearTargetVelocity
btVector3DoubleData | m_linearMaxMotorForce
btVector3DoubleData | m_linearServoTarget
btVector3DoubleData | m_linearSpringStiffness
btVector3DoubleData | m_linearSpringDamping
btVector3DoubleData | m_linearEquilibriumPoint
char | m_linearEnableMotor [4]
char | m_linearServoMotor [4]
char | m_linearEnableSpring [4]
char | m_linearSpringStiffnessLimited [4]
char | m_linearSpringDampingLimited [4]
char | m_padding1 [4]
btVector3DoubleData | m_angularUpperLimit
btVector3DoubleData | m_angularLowerLimit
btVector3DoubleData | m_angularBounce
btVector3DoubleData | m_angularStopERP
btVector3DoubleData | m_angularStopCFM
btVector3DoubleData | m_angularMotorERP
btVector3DoubleData | m_angularMotorCFM
btVector3DoubleData | m_angularTargetVelocity
btVector3DoubleData | m_angularMaxMotorForce
btVector3DoubleData | m_angularServoTarget
btVector3DoubleData | m_angularSpringStiffness
btVector3DoubleData | m_angularSpringDamping
btVector3DoubleData | m_angularEquilibriumPoint
char | m_angularEnableMotor [4]
char | m_angularServoMotor [4]
char | m_angularEnableSpring [4]
char | m_angularSpringStiffnessLimited [4]
char | m_angularSpringDampingLimited [4]
int | m_rotateOrder

## Detailed Description

Definition at line 1142 of file bullet.h.

## Member Data Documentation

## ◆ m_angularBounce

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularBounce

Definition at line 1169 of file bullet.h.

## ◆ m_angularEnableMotor

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularEnableMotor[4]

Definition at line 1180 of file bullet.h.

## ◆ m_angularEnableSpring

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularEnableSpring[4]

Definition at line 1182 of file bullet.h.

## ◆ m_angularEquilibriumPoint

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularEquilibriumPoint

Definition at line 1179 of file bullet.h.

## ◆ m_angularLowerLimit

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularLowerLimit

Definition at line 1168 of file bullet.h.

## ◆ m_angularMaxMotorForce

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularMaxMotorForce

Definition at line 1175 of file bullet.h.

## ◆ m_angularMotorCFM

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularMotorCFM

Definition at line 1173 of file bullet.h.

## ◆ m_angularMotorERP

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularMotorERP

Definition at line 1172 of file bullet.h.

## ◆ m_angularServoMotor

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularServoMotor[4]

Definition at line 1181 of file bullet.h.

## ◆ m_angularServoTarget

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularServoTarget

Definition at line 1176 of file bullet.h.

## ◆ m_angularSpringDamping

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringDamping

Definition at line 1178 of file bullet.h.

## ◆ m_angularSpringDampingLimited

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringDampingLimited[4]

Definition at line 1184 of file bullet.h.

## ◆ m_angularSpringStiffness

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringStiffness

Definition at line 1177 of file bullet.h.

## ◆ m_angularSpringStiffnessLimited

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularSpringStiffnessLimited[4]

Definition at line 1183 of file bullet.h.

## ◆ m_angularStopCFM

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularStopCFM

Definition at line 1171 of file bullet.h.

## ◆ m_angularStopERP

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularStopERP

Definition at line 1170 of file bullet.h.

## ◆ m_angularTargetVelocity

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularTargetVelocity

Definition at line 1174 of file bullet.h.

## ◆ m_angularUpperLimit

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_angularUpperLimit

Definition at line 1167 of file bullet.h.

## ◆ m_linearBounce

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearBounce

Definition at line 1150 of file bullet.h.

## ◆ m_linearEnableMotor

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearEnableMotor[4]

Definition at line 1161 of file bullet.h.

## ◆ m_linearEnableSpring

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearEnableSpring[4]

Definition at line 1163 of file bullet.h.

## ◆ m_linearEquilibriumPoint

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearEquilibriumPoint

Definition at line 1160 of file bullet.h.

## ◆ m_linearLowerLimit

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearLowerLimit

Definition at line 1149 of file bullet.h.

## ◆ m_linearMaxMotorForce

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearMaxMotorForce

Definition at line 1156 of file bullet.h.

## ◆ m_linearMotorCFM

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearMotorCFM

Definition at line 1154 of file bullet.h.

## ◆ m_linearMotorERP

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearMotorERP

Definition at line 1153 of file bullet.h.

## ◆ m_linearServoMotor

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearServoMotor[4]

Definition at line 1162 of file bullet.h.

## ◆ m_linearServoTarget

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearServoTarget

Definition at line 1157 of file bullet.h.

## ◆ m_linearSpringDamping

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringDamping

Definition at line 1159 of file bullet.h.

## ◆ m_linearSpringDampingLimited

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringDampingLimited[4]

Definition at line 1165 of file bullet.h.

## ◆ m_linearSpringStiffness

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringStiffness

Definition at line 1158 of file bullet.h.

## ◆ m_linearSpringStiffnessLimited

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearSpringStiffnessLimited[4]

Definition at line 1164 of file bullet.h.

## ◆ m_linearStopCFM

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearStopCFM

Definition at line 1152 of file bullet.h.

## ◆ m_linearStopERP

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearStopERP

Definition at line 1151 of file bullet.h.

## ◆ m_linearTargetVelocity

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearTargetVelocity

Definition at line 1155 of file bullet.h.

## ◆ m_linearUpperLimit

btVector3DoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_linearUpperLimit

Definition at line 1148 of file bullet.h.

## ◆ m_padding1

char Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_padding1[4]

Definition at line 1166 of file bullet.h.

## ◆ m_rbAFrame

btTransformDoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_rbAFrame

Definition at line 1146 of file bullet.h.

## ◆ m_rbBFrame

btTransformDoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_rbBFrame

Definition at line 1147 of file bullet.h.

## ◆ m_rotateOrder

int Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_rotateOrder

Definition at line 1185 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData Bullet::btGeneric6DofSpring2ConstraintDoubleData2::m_typeConstraintData

Definition at line 1145 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h